Method: projects.locations.brands.stores.inventories.create

Creates an inventory.

HTTP request

POST https://foodorderingaiagent.googleapis.com/v1/{parent=projects/*/locations/*/brands/*/stores/*}/inventories

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent store, which owns this collection of inventories. Format: projects/{project}/locations/{location}/brands/{brand}/stores/{store}

Query parameters

Parameters
inventoryId

string

Optional. The Inventory ID to use for the inventory, which will become the final component of the inventory's resource name.

This value should only contain lower-case letters, numbers, and hyphen, with the first and last character a letter or a number, and a 63 character maximum.

Request body

The request body contains an instance of Inventory.

Response body

If successful, the response body contains a newly created instance of Inventory.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.